"use strict";

function updatePassword(obj, categoryId) {
  var newPassword = jQuery(obj).parent().find('.new-password').val();
  makeUpdatePasswordRequest(categoryId, newPassword);
}

function deletePassword(categoryId) {
  makeUpdatePasswordRequest(categoryId, '');
}

function makeUpdatePasswordRequest(categoryId, newPassword){
  jQuery.post(wppVars.ajaxurl,
    {
      action: "protectorUpdatePassword",
      categoryId: categoryId,
      newPassword: newPassword
    },
    function(data,status){

        if (data === '0') alert(wppVars.passwordDeletedMsg);
        else alert(wppVars.errorMsg);
        
        location.reload();
    });   
}

function showHiddenBox(obj) {
  jQuery(obj).parent().parent().parent().find('.hidden-field').show();
}
